> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /workday/jobs

> Get a single Workday job posting by its full career-board URL. Returns the job title, full HTML description, requisition id, posting id, primary and additional locations, requisition location with country, remote type, time type, posting date, start date, posted and apply availability flags, hiring organization and the public job URL.

**Price:** 1 credit

**⚠️ Common errors:** 412: Job posting not found



## OpenAPI

````yaml /openapi/jobs.json post /api/workday/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/workday/jobs:
    post:
      tags:
        - /workday
      summary: /workday/jobs
      description: >-
        Get a single Workday job posting by its full career-board URL. Returns
        the job title, full HTML description, requisition id, posting id,
        primary and additional locations, requisition location with country,
        remote type, time type, posting date, start date, posted and apply
        availability flags, hiring organization and the public job URL.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Job posting not found
      operationId: __api_workday_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkdayJobsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkdayJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkdayJobsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        url:
          type: string
          minLength: 1
      type: object
      required:
        - url
    WorkdayJob:
      properties:
        '@type':
          type: string
          default: WorkdayJob
        id:
          type: string
        req_id:
          anyOf:
            - type: string
            - type: 'null'
        posting_id:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        additional_locations:
          items:
            type: string
          type: array
          default: []
        requisition_location:
          anyOf:
            - $ref: '#/components/schemas/WorkdayRequisitionLocation'
            - type: 'null'
        country:
          anyOf:
            - $ref: '#/components/schemas/WorkdayCountry'
            - type: 'null'
        remote_type:
          anyOf:
            - type: string
            - type: 'null'
        time_type:
          anyOf:
            - type: string
            - type: 'null'
        posted_on:
          anyOf:
            - type: string
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        is_posted:
          anyOf:
            - type: boolean
            - type: 'null'
        can_apply:
          anyOf:
            - type: boolean
            - type: 'null'
        site:
          anyOf:
            - type: string
            - type: 'null'
        hiring_organization:
          anyOf:
            - $ref: '#/components/schemas/WorkdayHiringOrganization'
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WorkdayRequisitionLocation:
      properties:
        '@type':
          type: string
          default: WorkdayRequisitionLocation
        name:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - $ref: '#/components/schemas/WorkdayCountry'
            - type: 'null'
      type: object
    WorkdayCountry:
      properties:
        '@type':
          type: string
          default: WorkdayCountry
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alpha2_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WorkdayHiringOrganization:
      properties:
        '@type':
          type: string
          default: WorkdayHiringOrganization
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````